#!/usr/local/bin/python
# -*- coding: utf-8 -*-
__author__ = "acko"

import random

def generateRandomMatrix(numberOfRows, numberOfColumns, low, high):
    if numberOfRows <= 0 or numberOfColumns <= 0:
        return None
    return [[random.randint(low, high) for i in range(numberOfColumns)] for i in range(numberOfRows)]

if __name__ == "__main__":
    (numberOfRowsA, numberOfColumnsA, numberOfRowsB, numberOfColumnsB, low, high) = map(int, input("Enter the number of rows and columns for each matrix and also the range of the elements seperated by a space and press ENTER: ").split(' '))

    matrixA = generateRandomMatrix(numberOfRowsA, numberOfColumnsA, low, high)
    if matrixA is None:
        print("Invalid dimensions for matrix A!")
        exit()

    matrixB = generateRandomMatrix(numberOfRowsB, numberOfColumnsB, low, high)
    if matrixB is None:
        print("Invalid dimensions for matrixB!")
        exit()

    if numberOfColumnsA != numberOfRowsB:
        print("Dimensions mismatch! Cannot multiply the matrices!")
        exit()

    print("---")
    print("A = ")
    print("\n".join(", ".join(map(str, row)) for row in matrixA))

    print("---")
    print("B = ")
    print("\n".join(", ".join(map(str, row)) for row in matrixB))

    print("---")
    print("A x B = ")

    # pešački
    matrixC = [[0 for row in range(numberOfColumnsB)] for column in range(numberOfRowsA)]

    for i in range(numberOfRowsA):
        for j in range(numberOfColumnsB):
            for k in range(numberOfColumnsA):
                matrixC[i][j] += matrixA[i][k] * matrixB[k][j]


    print("\n".join(", ".join(map(str, row)) for row in matrixC))
